<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.bignet.mapper.BladeBignetMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.bignet.entity.BladeBignet">
        <id column="id" property="id" />
        <result column="bignet_name" property="bignetName" />
        <result column="bignet_type_id" property="bignetTypeId" />
        <result column="report_template" property="reportTemplate" />
        <result column="principal" property="principal" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, bignet_name, bignet_type_id, report_template, principal, create_time, update_time
    </sql>

</mapper>
